---
title: "tangentialArcToRelative"
excerpt: "Starting at the current sketch's origin, draw a curved line segment along"
layout: manual
---

Starting at the current sketch's origin, draw a curved line segment along

some part of an imaginary circle until it reaches a point the given (x, y) distance away.

```js
tangentialArcToRelative(delta: [number], sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `delta` | `[number]` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 45, length = 10 }, %)
  |> tangentialArcToRelative([0, -10], %)
  |> line(end = [-10, 0])
  |> close()

example = extrude(exampleSketch, length = 10)
```

![Rendered example of tangentialArcToRelative 0](data:image/png;base64,[encoded data, 82712 characters])


